
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__CPGMACSSR_001_H_
#define _CSLR__CPGMACSSR_001_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 IDVER;
    volatile Uint32 SOFTRESET;
    volatile Uint8 RSVD0[4];
    volatile Uint32 INTCONTROL;
    volatile Uint32 C0RXTHRESHEN;
    volatile Uint32 C0RXEN;
    volatile Uint32 C0TXEN;
    volatile Uint32 C0MISCEN;
    volatile Uint32 C1RXTHRESHEN;
    volatile Uint32 C1RXEN;
    volatile Uint32 C1TXEN;
    volatile Uint32 C1MISCEN;
    volatile Uint32 C2RXTHRESHEN;
    volatile Uint32 C2RXEN;
    volatile Uint32 C2TXEN;
    volatile Uint32 C2MISCEN;
    volatile Uint32 C0RXTHRESHSTAT;
    volatile Uint32 C0RXSTAT;
    volatile Uint32 C0TXSTAT;
    volatile Uint32 C0MISCSTAT;
    volatile Uint32 C1RXTHRESHSTAT;
    volatile Uint32 C1RXSTAT;
    volatile Uint32 C1TXSTAT;
    volatile Uint32 C1MISCSTAT;
    volatile Uint32 C2RXTHRESHSTAT;
    volatile Uint32 C2RXSTAT;
    volatile Uint32 C2TXSTAT;
    volatile Uint32 C2MISCSTAT;
    volatile Uint32 C0RXIMAX;
    volatile Uint32 C0TXIMAX;
    volatile Uint32 C1RXIMAX;
    volatile Uint32 C1TXIMAX;
    volatile Uint32 C2RXIMAX;
    volatile Uint32 C2TXIMAX;
} CSL_CpgmacssrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* IDVER */

#define CSL_CPGMACSSR_IDVER_IDENT_MASK (0xFFFF0000u)
#define CSL_CPGMACSSR_IDVER_IDENT_SHIFT (0x00000010u)
#define CSL_CPGMACSSR_IDVER_IDENT_RESETVAL (0x00004EC8u)

#define CSL_CPGMACSSR_IDVER_RTL_MASK (0x0000F800u)
#define CSL_CPGMACSSR_IDVER_RTL_SHIFT (0x0000000Bu)
#define CSL_CPGMACSSR_IDVER_RTL_RESETVAL (0x00000000u)

#define CSL_CPGMACSSR_IDVER_MAJOR_MASK (0x00000700u)
#define CSL_CPGMACSSR_IDVER_MAJOR_SHIFT (0x00000008u)
#define CSL_CPGMACSSR_IDVER_MAJOR_RESETVAL (0x00000001u)

#define CSL_CPGMACSSR_IDVER_MINOR_MASK (0x000000FFu)
#define CSL_CPGMACSSR_IDVER_MINOR_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_IDVER_MINOR_RESETVAL (0x00000000u)

#define CSL_CPGMACSSR_IDVER_RESETVAL (0x4EC80100u)

/* SOFTRESET */

#define CSL_CPGMACSSR_SOFTRESET_MASK (0x00000001u)
#define CSL_CPGMACSSR_SOFTRESET_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_SOFTRESET_RESETVAL (0x00000000u)

/* INTCONTROL */

#define CSL_CPGMACSSR_INTCONTROL_INTTEST_MASK (0x80000000u)
#define CSL_CPGMACSSR_INTCONTROL_INTTEST_SHIFT (0x0000001Fu)
#define CSL_CPGMACSSR_INTCONTROL_INTTEST_RESETVAL (0x00000000u)


#define CSL_CPGMACSSR_INTCONTROL_INTPACEEN_MASK (0x003F0000u)
#define CSL_CPGMACSSR_INTCONTROL_INTPACEEN_SHIFT (0x00000010u)
#define CSL_CPGMACSSR_INTCONTROL_INTPACEEN_RESETVAL (0x00000000u)


#define CSL_CPGMACSSR_INTCONTROL_INTPRESCALE_MASK (0x00000FFFu)
#define CSL_CPGMACSSR_INTCONTROL_INTPRESCALE_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_INTCONTROL_INTPRESCALE_RESETVAL (0x00000000u)

#define CSL_CPGMACSSR_INTCONTROL_RESETVAL (0x00000000u)

/* C0RXTHRESHEN */


#define CSL_CPGMACSSR_C0RXTHRESHEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0RXTHRESHEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0RXTHRESHEN_RESETVAL (0x00000000u)

/* C0RXEN */

#define CSL_CPGMACSSR_C0RXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0RXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0RXEN_RESETVAL (0x00000000u)

/* C0TXEN */

#define CSL_CPGMACSSR_C0TXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0TXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0TXEN_RESETVAL (0x00000000u)

/* C0MISCEN */

#define CSL_CPGMACSSR_C0MISCEN_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C0MISCEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0MISCEN_RESETVAL (0x00000000u)

/* C1RXTHRESHEN */

#define CSL_CPGMACSSR_C1RXTHRESHEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1RXTHRESHEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1RXTHRESHEN_RESETVAL (0x00000000u)

/* C1RXEN */

#define CSL_CPGMACSSR_C1RXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1RXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1RXEN_RESETVAL (0x00000000u)

/* C1TXEN */

#define CSL_CPGMACSSR_C1TXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1TXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1TXEN_RESETVAL (0x00000000u)

/* C1MISCEN */

#define CSL_CPGMACSSR_C1MISCEN_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C1MISCEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1MISCEN_RESETVAL (0x00000000u)

/* C2RXTHRESHEN */

#define CSL_CPGMACSSR_C2RXTHRESHEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2RXTHRESHEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2RXTHRESHEN_RESETVAL (0x00000000u)

/* C2RXEN */

#define CSL_CPGMACSSR_C2RXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2RXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2RXEN_RESETVAL (0x00000000u)

/* C2TXEN */

#define CSL_CPGMACSSR_C2TXEN_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2TXEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2TXEN_RESETVAL (0x00000000u)

/* C2MISCEN */

#define CSL_CPGMACSSR_C2MISCEN_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C2MISCEN_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2MISCEN_RESETVAL (0x00000000u)

/* C0RXTHRESHSTAT */

#define CSL_CPGMACSSR_C0RXTHRESHSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0RXTHRESHSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0RXTHRESHSTAT_RESETVAL (0x00000000u)

/* C0RXSTAT */

#define CSL_CPGMACSSR_C0RXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0RXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0RXSTAT_RESETVAL (0x00000000u)

/* C0TXSTAT */

#define CSL_CPGMACSSR_C0TXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C0TXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0TXSTAT_RESETVAL (0x00000000u)

/* C0MISCSTAT */

#define CSL_CPGMACSSR_C0MISCSTAT_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C0MISCSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0MISCSTAT_RESETVAL (0x00000000u)

/* C1RXTHRESHSTAT */

#define CSL_CPGMACSSR_C1RXTHRESHSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1RXTHRESHSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1RXTHRESHSTAT_RESETVAL (0x00000000u)

/* C1RXSTAT */

#define CSL_CPGMACSSR_C1RXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1RXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1RXSTAT_RESETVAL (0x00000000u)

/* C1TXSTAT */

#define CSL_CPGMACSSR_C1TXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C1TXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1TXSTAT_RESETVAL (0x00000000u)

/* C1MISCSTAT */

#define CSL_CPGMACSSR_C1MISCSTAT_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C1MISCSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1MISCSTAT_RESETVAL (0x00000000u)

/* C2RXTHRESHSTAT */

#define CSL_CPGMACSSR_C2RXTHRESHSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2RXTHRESHSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2RXTHRESHSTAT_RESETVAL (0x00000000u)

/* C2RXSTAT */

#define CSL_CPGMACSSR_C2RXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2RXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2RXSTAT_RESETVAL (0x00000000u)

/* C2TXSTAT */

#define CSL_CPGMACSSR_C2TXSTAT_MASK (0x000000FFu)
#define CSL_CPGMACSSR_C2TXSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2TXSTAT_RESETVAL (0x00000000u)

/* C2MISCSTAT */

#define CSL_CPGMACSSR_C2MISCSTAT_MASK (0x0000000Fu)
#define CSL_CPGMACSSR_C2MISCSTAT_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2MISCSTAT_RESETVAL (0x00000000u)

/* C0RXIMAX */

#define CSL_CPGMACSSR_C0RXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C0RXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0RXIMAX_RESETVAL (0x00000000u)

/* C0TXIMAX */

#define CSL_CPGMACSSR_C0TXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C0TXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C0TXIMAX_RESETVAL (0x00000000u)

/* C1RXIMAX */

#define CSL_CPGMACSSR_C1RXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C1RXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1RXIMAX_RESETVAL (0x00000000u)

/* C1TXIMAX */

#define CSL_CPGMACSSR_C1TXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C1TXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C1TXIMAX_RESETVAL (0x00000000u)

/* C2RXIMAX */

#define CSL_CPGMACSSR_C2RXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C2RXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2RXIMAX_RESETVAL (0x00000000u)

/* C2TXIMAX */

#define CSL_CPGMACSSR_C2TXIMAX_MASK (0x0000003Fu)
#define CSL_CPGMACSSR_C2TXIMAX_SHIFT (0x00000000u)
#define CSL_CPGMACSSR_C2TXIMAX_RESETVAL (0x00000000u)

#endif
